
Foreman - Bug #16358

smart proxy puppet dashboard is broken

08/29/2016 03:04 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3799

  

Description

 | ActionView::Template::Error (PG::UndefinedTable: ERROR:  missing FROM-clause entry for table "s

mart_proxies" 

 | LINE 1: ..." WHERE "hosts"."type" IN ('Host::Managed') AND (("smart_pro...

 |                                                              ^

 | : SELECT COUNT(count_column) FROM (SELECT  1 AS count_column FROM "reports" INNER JOIN "hosts" 

ON "hosts"."id" = "reports"."host_id" AND "hosts"."type" IN ('Host::Managed') WHERE "reports"."typ

e" IN ('ConfigReport') AND (status <> 0) AND "reports"."host_id" IN (SELECT "hosts"."id" FROM "hos

ts" WHERE "hosts"."type" IN ('Host::Managed') AND (("smart_proxies"."name" = 'localproxy'))) AND (

("reports"."reported_at" >= '2016-08-23')) LIMIT 9) subquery_for_count):

 |     1: <h4 class="header">

 |     2:   <%= _("Latest Events") %>

 |     3: </h4>

 |     4: <% if @latest_events.empty? %>

 |     5:   <p class="ca"><%= _("No interesting reports received in the last week") %></p>

 |     6: <% else %>

 |     7:   <table class="<%= table_css_classes 'table-fixed reports-table' %>">

 |   app/views/dashboard/_reports_widget.html.erb:4:in `_app_views_dashboard__reports_widget_html_

erb___2136443021252204128_187649700'

 |   app/views/smart_proxies/plugins/_puppet_dashboard.html.erb:2:in `_app_views_smart_proxies_plu

gins__puppet_dashboard_html_erb__957152418137412667_187659560'

 |   app/controllers/smart_proxies_controller.rb:69:in `puppet_dashboard'

 |   app/controllers/concerns/application_shared.rb:14:in `set_timezone'

 |   app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 |   lib/middleware/catch_json_parse_errors.rb:9:in `call'

 |   lib/middleware/tagged_logging.rb:18:in `call'

 | 

Related issues:

Related to Foreman - Bug #16044: Errors in individual dashboard widgets fail ... Closed 08/10/2016

Related to Foreman - Bug #16627: Puppet general tab new error on 1.12.3 Closed 09/20/2016

Associated revisions

Revision f33402e2 - 09/05/2016 06:14 AM - Tomer Brisker

Fixes #16358 - Load dashboard on puppet proxy view

Some changes made to the main dashboard caused the puppet dashboard on

the smart proxy page to break.

This commit also includes small improvements to the dashboard loading

performance.

History

#1 - 08/29/2016 03:04 AM - Tomer Brisker

- Related to Bug #16044: Errors in individual dashboard widgets fail entire page added
#2 - 08/29/2016 03:06 AM - Tomer Brisker

This was caused by the changes to the main dashboard introduced in #16044

#3 - 08/30/2016 02:56 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 08/31/2016 06:27 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3799 added

#5 - 08/31/2016 09:57 AM - Tomer Brisker

- Target version set to 1.6.2

#6 - 09/05/2016 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f33402e21bd693b353d99a80049242c9fcee4dc0.

#7 - 09/21/2016 03:46 AM - Dominic Cleal

- Related to Bug #16627: Puppet general tab new error on 1.12.3 added
